test_1w::OW Class Reference
Inheritance diagram for test_1w::OW:

## Additional Inherited Members

Public Types inherited from utl::_1wire_uart_i< Impl_t >
using | type = _1wire_uart_i< Impl_t >
| Export type as identity meta-function. More...
using | Speed = typename _1wire_i< type >::Speed
| Bring bus speed. More...
Public Types inherited from utl::_1wire_i< _1wire_uart_i< Impl_t > >
enum | Speed
| 1-wire bus speed More...
using | type = _1wire_i
| Export type as identity meta-function. More...
Public Member Functions inherited from utl::_1wire_i< _1wire_uart_i< Impl_t > >
bool | reset (Speed s=Speed::STD)
| Generate a 1-wire reset. More...
byte_t | tx_data (byte_t out, Speed s=Speed::STD)
size_t | tx_data (const byte_t *out, byte_t *in, size_t n, Speed s=Speed::STD)
byte_t | rx_data (Speed s=Speed::STD)
size_t | rx_data (byte_t *in, size_t n, Speed s=Speed::STD)
void | match (_1wire_id_t &id, Speed s=Speed::STD)
void | match_n_ovdr (_1wire_id_t &id)
void | skip (Speed s=Speed::STD)
void | skip_n_ovdr ()
_1wire_id_t | first (Speed s=Speed::STD, bool alarm=false)
| 'first' operation, to search on the 1-Wire for the first device. This is performed by setting dec_, pos_ and cur_ to zero and then doing the search. More...
_1wire_id_t | next (Speed s=Speed::STD, bool alarm=false)
| 'next' operation, to search on the 1-Wire for the next device. This search is usually performed after a 'first' operation or another 'next' operation. Based on maxim-ic application note 187. More...
Protected Member Functions inherited from utl::_1wire_uart_i< Impl_t >
| _1wire_uart_i ()=default
| Allow constructor from derived only. More...
| ~_1wire_uart_i ()=default
Protected Member Functions inherited from utl::_1wire_i< _1wire_uart_i< Impl_t > >
| _1wire_i ()=default
| Allow constructor from derived only. More...
| _1wire_i (const _1wire_i &)=delete
| No copies. More...
| ~_1wire_i ()=default
| Allow destructor from derived only. More...
_1wire_i & | operator= (const _1wire_i &)=delete

## Detailed Description

Definition at line 33 of file test_1w_impl.cpp.

The documentation for this class was generated from the following file:

- test/tests/test_1w_impl.cpp